#include <windows.h>       /* required for all Windows applications */
#include <vfw.h>
#include <commctrl.h>  
#include "bmpcnv.h"  
#include "jpgcnv.h"  

static	INITCOMMONCONTROLSEX	initcom;

extern	int APIENTRY	BitDispEnd (void);
extern	int APIENTRY	JpgDispEnd (void);
extern	int APIENTRY	CapAviEnd(void);
extern	int	CapDpCtDll_EofChk (void);

	int dll_proc_start=0;
	int dll_thread_start=0;
	HDRAWDIB	hdrawdibDc;


extern	int		BitDispInit_Sw;
extern	int		JpgDispInit_Sw;
extern	int		CapAvi_StartSW;

	int	APIENTRY Dll_Start_Rtn()
	{
		int	rt;

		if (dll_proc_start) return 1;
		dll_proc_start=1;
		hdrawdibDc = DrawDibOpen();
		initcom.dwSize = sizeof(INITCOMMONCONTROLSEX);
		initcom.dwICC  = ICC_INTERNET_CLASSES | ICC_TAB_CLASSES ;
		InitCommonControlsEx (&initcom);
		rt	=	BmpCnvDll_Strat();
		rt	=	JpgCnvDll_Start();
		return 0;
	}

	int	APIENTRY Dll_End_Rtn()
	{		
		int	rt;

		if (!dll_proc_start) return 1;
		rt = BmpCnvDll_End();
		rt	=	JpgCnvDll_End();
 		dll_proc_start=0;
		if (BitDispInit_Sw) {
			BitDispEnd();
		}
		if (JpgDispInit_Sw) {
			JpgDispEnd();
		}
		if (CapAvi_StartSW) {
			CapAviEnd ();
		}
		CapDpCtDll_EofChk();
		DrawDibClose (hdrawdibDc);
		return 0;
   	 }

