#include <windows.h>
#include <stdio.h>
#include <commctrl.h>  



int APIENTRY GetDirName(PBYTE inidir, PBYTE ifnm, PBYTE filter, HWND twnd)
{
	int		rt;
	int		i;

	BYTE			fnm[2048];
	BYTE			flt[2048];
	BYTE			idir[2048];
	static	OPENFILENAME	ofh;


	fnm[0] = 0;
	flt[0] = 0;
	idir[0] = 0;
	if (*ifnm)	lstrcpy(fnm, ifnm);
	if (*inidir) lstrcpy(idir, inidir);
	i = 0;
	while (filter[i]) {
		if (filter[i] < 0x20)	flt[i] = 0;
		else					flt[i] = filter[i];
		i++;
		flt[i] = 0;
	}
	memset(&ofh, 0, sizeof(ofh));
	ofh.lStructSize = sizeof(ofh);
	ofh.hwndOwner = twnd;
	ofh.lpstrFilter = flt;
	ofh.nFilterIndex = 1;
	ofh.lpstrCustomFilter = 0;
	ofh.nMaxCustFilter = 0;
	ofh.lpstrFile = fnm;
	ofh.nMaxFile = sizeof(fnm);
	ofh.lpstrInitialDir = idir;
	ofh.Flags = OFN_PATHMUSTEXIST | OFN_NOCHANGEDIR;
	rt = GetOpenFileName(&ofh);
	if (rt == FALSE) return 1;
	SetWindowText(twnd, fnm);
	return	0;
}

int APIENTRY	get_bitmapfmt(LPBYTE bmpfnm, LPBITMAPINFOHEADER pbfmt)
{

	HANDLE				fhndl;
	DWORD				get_len;
	BITMAPFILEHEADER	head;
	BITMAPINFOHEADER	bfmt;

	fhndl = CreateFile(bmpfnm,
		GENERIC_READ,
		FILE_SHARE_WRITE,
		NULL,
		OPEN_EXISTING,
		FILE_ATTRIBUTE_NORMAL,		// 
		NULL);
	if (fhndl == INVALID_HANDLE_VALUE) {
		return	0;
	}
	ReadFile(fhndl, (void*)&head, sizeof(BITMAPFILEHEADER), &get_len, NULL);
	if (head.bfType == 'MB') {
		ReadFile(fhndl, (void*)&bfmt, sizeof(BITMAPINFOHEADER), &get_len, NULL);
		CloseHandle(fhndl);
		memcpy((void*)pbfmt, (void*)&bfmt, sizeof(BITMAPINFOHEADER));
		return 1;
	}
	CloseHandle(fhndl);
	return 0;

}
