Option Strict Off
Option Explicit On
Module Module1
	
	Structure tagBITMAPFILEHEADER
		Dim bfType As Short
		Dim bfSizev As Integer
		Dim bfReserved1 As Short
		Dim bfReserved2 As Short
		Dim bfOffBits As Integer
	End Structure
	
	Structure tagBITMAPINFOHEADER
		Dim biSize As Integer
		Dim biWidth As Integer
		Dim biHeight As Integer
		Dim biPlanes As Short
		Dim biBitCount As Short
		Dim biCompression As Integer
		Dim biSizeImage As Integer
		Dim biXPelsPerMeter As Integer
		Dim biYPelsPerMeter As Integer
		Dim biClrUsed As Integer
		Dim biClrImportant As Integer
	End Structure
	
	
	Structure VIDEOCTLF
		Dim Wflg As Short
		Dim Pos As Short
        Dim UseFlg1 As Short
        Dim UseFlg2 As Short
        ' yyyy/mm/dd hh:
        <VBFixedString(20), System.Runtime.InteropServices.MarshalAs(System.Runtime.InteropServices.UnmanagedType.ByValTStr, SizeConst:=20)> Public hzk1 As String
        ' yyyy/mm/dd hh:mm:ss
        <VBFixedString(20), System.Runtime.InteropServices.MarshalAs(System.Runtime.InteropServices.UnmanagedType.ByValTStr, SizeConst:=20)> Public hzk2 As String
	End Structure
	
	Structure tagRECT
        Dim left_Renamed As Integer
		Dim top As Integer
        Dim right_Renamed As Integer
		Dim bottom As Integer
	End Structure
	
	Structure tagBITMAP
		Dim bmType As Integer
		Dim bmWidth As Integer
		Dim bmHeight As Integer
		Dim bmWidthBytes As Integer
		Dim bmPlanes As Short
		Dim bmBitsPixel As Short
		Dim bmBits As Integer
	End Structure
	
	
	Structure BMPSTSINF
		Dim tm1 As Integer
		Dim tm2 As Integer
		Dim tm3 As Integer
		Dim tm4 As Integer
		Dim tm5 As Integer
	End Structure


	'wvt@C萔
	Public Const HELP_QUIT As Integer = &H2
	'wv̍ʂ\萔
	Public Const HELP_FINDER As Integer = &HB
	'L[[hɈvwv\萔
	Public Const HELP_KEY As Short = &H101s
	
	
	Public Const GWL_WNDPROC As Short = -4
	Public Const GWL_HINSTANCE As Short = -6
	Public Const GWL_HWNDPARENT As Short = -8
	Public Const GWL_STYLE As Short = -16
	Public Const GWL_EXSTYLE As Short = -20
	Public Const GWL_USERDATA As Short = -21
	Public Const GWL_ID As Short = -12


    Declare Function DrawDibOpen Lib "msvfw32" () As Integer
    Declare Function DrawDibClose Lib "msvfw32" (ByVal hdd As Integer) As Integer
    Declare Function DrawDibDraw Lib "msvfw32" (ByVal hdrawdibDc As Integer, ByVal hdc As Integer, ByVal xdst As Integer, ByVal ydst As Integer, ByVal dxdst As Integer, ByVal dydst As Integer, ByRef vfmt As tagBITMAPINFOHEADER, ByRef lpbits As Byte, ByVal xsrc As Integer, ByVal ysrc As Integer, ByVal dxsrc As Integer, ByVal dysrc As Integer, ByVal flg As Integer) As Integer


    Declare Function GetWindowLongA Lib "user32" (ByVal hwnd As Integer, ByVal nIndex As Integer) As Integer
	Declare Function SetWindowLongA Lib "user32" (ByVal hwnd As Integer, ByVal nIndex As Integer, ByVal dwNewLong As Integer) As Integer
    Declare Function GetDC Lib "user32" (ByVal hwnd As Integer) As Integer
    Declare Function GetClientRect Lib "user32" (ByVal hwnd As Integer, ByRef lpRect As tagRECT) As Integer
    Declare Function ReleaseDC Lib "user32" (ByVal hwnd As Integer, ByVal hdc As Integer) As Integer
    Declare Function WinHelp Lib "user32" Alias "WinHelpA" (ByVal hwnd As Integer, ByVal lpHelpFile As String, ByVal wCommand As Integer, ByVal dwData As Integer) As Integer

    Declare Function GetTempPathA Lib "kernel32" (ByVal bln As Integer, ByRef bf As Byte) As Integer
    Declare Function CreateMutexA Lib "kernel32" (ByVal attr As Integer, ByVal owner As Integer, ByVal nm As String) As Integer
    Declare Function OpenMutexA Lib "kernel32" (ByVal Access As Integer, ByVal Handle As Integer, ByVal lpName As String) As Integer
    Declare Function ReleaseMutex Lib "kernel32" (ByVal hndl As Integer) As Integer
    Declare Function CloseHandle Lib "kernel32" (ByVal hndl As Integer) As Integer

    Declare Function CreateCompatibleBitmap Lib "gdi32" (ByVal hdc As Integer, ByVal nx As Integer, ByVal ny As Integer) As Integer
    Declare Function GetObjectA Lib "gdi32" (ByVal hgdiobj As Integer, ByVal nblen As Integer, ByRef bmpobj As tagBITMAP) As Integer
    Declare Function DeleteObject Lib "gdi32" (ByVal hObject As Integer) As Integer
    Declare Function GetDIBits Lib "gdi32" (ByVal in_hDC As Integer, ByVal in_hbmp As Integer, ByVal st As Integer, ByVal lsu As Integer, ByRef to_hbit As Byte, ByRef bmp As tagBITMAPINFOHEADER, ByVal typ As Integer) As Integer
    Declare Function SelectObject Lib "gdi32" (ByVal hdc As Integer, ByVal obj As Integer) As Integer
    Declare Function CreateCompatibleDC Lib "gdi32" (ByVal hdc As Integer) As Integer
    Declare Function GetMapMode Lib "gdi32" (ByVal hdc As Integer) As Integer
	Declare Function SetMapMode Lib "gdi32" (ByVal hdc As Integer, ByRef mapmode As Integer) As Integer
    Declare Function BitBlt Lib "gdi32" (ByVal hdcDest As Integer, ByVal nXDest As Integer, ByVal nYDest As Integer, ByVal nWidth As Integer, ByVal nHeight As Integer, ByVal hdcSrc As Integer, ByVal nXSrc As Integer, ByVal nYSrc As Integer, ByVal dwRop As Integer) As Integer


    Declare Function CapVbDll_Start Lib "capvbdll.dll" () As Integer
    Declare Function CapVbDll_End Lib "capvbdll.dll" () As Integer
    Declare Function GetDirName Lib "capvbdll.dll" (ByVal inidir As String, ByVal fnm As String, ByVal filter_Renamed As String, ByVal wnd As Integer) As Integer
    Declare Function GetTempPathName Lib "capvbdll.dll" (ByVal wnd As Integer) As Integer
    Declare Function BmptoJpgConvert Lib "capvbdll.dll" (ByVal cwnd As Integer, ByVal ibmp As String, ByVal ojpg As String, ByVal qal As Integer, ByRef tinf As BMPSTSINF) As Integer
    Declare Function BmptoJpgEdit Lib "capvbdll.dll" (ByVal dspwnd As Integer, ByVal cwnd As Integer, ByVal ibmp As String, ByVal ojpg As String, ByVal qal As Integer, ByVal cflg As Integer, ByVal scl As Integer, ByRef tinf As BMPSTSINF) As Integer
    Declare Function BmpEdit Lib "capvbdll.dll" (ByVal dspwnd As Integer, ByVal cwnd As Integer, ByVal ibmp As String, ByVal ojpg As String, ByVal cflg As Integer, ByVal scl As Integer, ByRef tinf As BMPSTSINF) As Integer



    Declare Function ChgSource Lib "vfwcapdll.dll" () As Integer
    Declare Function ChgVformat Lib "vfwcapdll.dll" () As Integer
    Declare Function ChgCompress Lib "vfwcapdll.dll" () As Integer
    Declare Function PreViewStart Lib "vfwcapdll.dll" () As Integer
    Declare Function PreViewEnd Lib "vfwcapdll.dll" () As Integer
    Declare Function WriteBmp Lib "vfwcapdll.dll" (ByVal fnm As String) As Integer
    Declare Function InitCapture Lib "vfwcapdll.dll" (ByVal no As Integer) As Integer
    Declare Function EndCapture Lib "vfwcapdll.dll" () As Integer
    Declare Function CapGo Lib "vfwcapdll.dll" (ByVal no As Integer) As Integer
    Declare Function CapStop Lib "vfwcapdll.dll" () As Integer
    Declare Function GetCapData Lib "vfwcapdll.dll" () As Integer
    Declare Function VideoLock Lib "vfwcapdll.dll" (ByVal wnd As Integer) As Integer
    Declare Function VideoUnlock Lib "vfwcapdll.dll" () As Integer
    Declare Function VideoDisplay Lib "vfwcapdll.dll" (ByVal wnd As Integer) As Integer
    Declare Function GetBitWidth Lib "vfwcapdll.dll" () As Integer
    Declare Function GetBitHight Lib "vfwcapdll.dll" () As Integer


	Private Const STANDARD_RIGHTS_REQUIRED As Integer = &HF0000
	Private Const SYNCHRONIZE As Integer = &H100000
	Private Const MUTANT_QUERY_STATE As Short = &H1s
	Public Const MUTEX_ALL_ACCESS As Boolean = STANDARD_RIGHTS_REQUIRED Or SYNCHRONIZE Or MUTANT_QUERY_STATE
	
	Public Const DIB_RGB_COLORS As Short = 0
	Public Const SRCCOPY As Integer = &HCC0020

    Public Const capdspver As String = "VBNETDSP V4.0" ' VBNETDSP VERSION NO
    Public Const ctl_fnm As String = "vbnetctl"


    Public Const Form1_Title As String = " yȒPĎWEBJ V4.0z"
    Public regstname As String
	Public regstflg As Integer
	Public regstkey As String
	Public Const ser_fnm As String = "capdspvb.def"
    Public Const ser_key As String = "xxxx-xxxxxx"
	Public Const usetime As Short = 600
	Public stobj As Object
	Public edobj As Object
	Public stflg(5, 6) As Integer
	Public tmcnt(5, 6) As Integer
	Public snddir(5, 6) As String
    Public Const inifnm As String = "vbnettst.ini"
    Public Const testcapver As String = "VBNETTST V4.0"
	Public ocxobj As Integer
	Public captime As Integer
	Public filemode As Integer
	Public sndcnt As Integer
	Public capstsw As Integer
	Public capstflg(30) As Integer
	Public caplmpsw(30) As Integer
	Public capsnddir(30) As String
	Public form2obj As Object
	Public mydir As String
	Public mydrive As String
	Public runct As Integer
	Public time2_sw As Integer
	Public runmode As Integer
	Public oldlmp As Integer
	Public oldtxt As Integer
	Public cap0bfmt As tagBITMAPINFOHEADER
	Public cap1bfmt As tagBITMAPINFOHEADER
	Public capwbfmt As tagBITMAPINFOHEADER
	Public cap0bpt() As Byte
	Public cap1bpt() As Byte
	Public capwbpt() As Byte
	Public cap0size As Integer
	Public cap1size As Integer
	Public capwsize As Integer
	Public cap0fsw As Integer
	Public cap1fsw As Integer
	Public capwfsw As Integer
	Public hdrawdibDc As Integer
	Public tmpdir As String
	Public wkbf() As Byte
	Public mhndl As Integer
	Public timcnt As Integer
	Public autost As Integer
	Public cnvfnm As String
	Public qualty As Integer
	Public bmpcnvmode As Integer
	Public bmpangle As Integer
	Public bmpscale As Integer
	
	
	Sub cmdst(ByVal no As Integer, ByVal idx As Integer)
		Dim n As Integer
		snddir_set(no, idx)
		n = no * 6 + idx
		capstflg(n) = 1
		'    stflg(no, idx) = 1
		sndlmp_set(no, idx, 1)
		
	End Sub
	Sub cmded(ByVal no As Integer, ByVal idx As Integer)
		Dim n As Integer
		n = no * 6 + idx
		capstflg(n) = 0
		'stflg(no, idx) = 0
		sndlmp_set(no, idx, 0)
		
	End Sub
	
	Sub cmdenb(ByVal obj As Object, ByVal dt As Boolean)
		
        obj.Enabled = dt
		
	End Sub
	
	Function dirchk_sb(ByVal dnm As String) As Short
        '	Dim pt As String
        On Error Resume Next

        'pt = ""
        'pt = Dir(dnm, FileAttribute.Directory)
        If System.IO.Directory.Exists(dnm) = True Then
            dirchk_sb = True
        Else
            dirchk_sb = False
        End If
		
	End Function
	Function filechk_sb(ByVal fnm As String) As String
        'Dim pt As String

        On Error GoTo err1
        'pt = Dir(fnm, FileAttribute.Normal)
        If System.IO.File.Exists(fnm) Then
            filechk_sb = fnm
        Else
            filechk_sb = ""
        End If
		Exit Function
err1: 
		filechk_sb = ""
	End Function
	
	Sub snddir_set(ByVal i As Integer, ByVal j As Integer)
		Dim txt As String
		Dim n As Integer
		txt = ""
		Select Case i
			Case 0 ' No 1
                txt = Form1.DefInstance.txtary6(j).Text
                n = 0
            Case 1 ' No 2
                txt = Form1.DefInstance.txtary7(j).Text
                n = 6
            Case 2 ' No 3
                txt = Form1.DefInstance.txtary8(j).Text
                n = 12
            Case 3 ' No 4
                txt = Form1.DefInstance.txtary9(j).Text
                n = 18
            Case 4 ' No 5
                txt = Form1.DefInstance.txtary10(j).Text
                n = 24
        End Select
        txt = patheset(txt)
        n = n + j
        capsnddir(n) = txt
        '    snddir(i, j) = txt
    End Sub

    Sub sndlmp_set(ByVal i As Integer, ByVal j As Integer, ByVal typ As Integer)

        Select Case i
            Case 0 ' No 1
                If typ = 0 Then
                    Form1.DefInstance.lblary1(j).BackColor = System.Drawing.ColorTranslator.FromOle(RGB(220, 220, 220))
                ElseIf typ = 1 Then
                    Form1.DefInstance.lblary1(j).BackColor = System.Drawing.ColorTranslator.FromOle(RGB(0, 200, 200))
                ElseIf typ = 2 Then
                    Form1.DefInstance.lblary1(j).BackColor = System.Drawing.ColorTranslator.FromOle(RGB(255, 0, 0))
                ElseIf typ = 3 Then
                    Form1.DefInstance.lblary1(j).BackColor = System.Drawing.ColorTranslator.FromOle(RGB(0, 255, 255))
                End If
            Case 1 ' No 2
                If typ = 0 Then
                    Form1.DefInstance.lblary2(j).BackColor = System.Drawing.ColorTranslator.FromOle(RGB(220, 220, 220))
                ElseIf typ = 1 Then
                    Form1.DefInstance.lblary2(j).BackColor = System.Drawing.ColorTranslator.FromOle(RGB(0, 200, 200))
                ElseIf typ = 2 Then
                    Form1.DefInstance.lblary2(j).BackColor = System.Drawing.ColorTranslator.FromOle(RGB(255, 0, 0))
                ElseIf typ = 3 Then
                    Form1.DefInstance.lblary2(j).BackColor = System.Drawing.ColorTranslator.FromOle(RGB(0, 255, 255))
                End If
            Case 2 ' No 3
                If typ = 0 Then
                    Form1.DefInstance.lblary3(j).BackColor = System.Drawing.ColorTranslator.FromOle(RGB(220, 220, 220))
                ElseIf typ = 1 Then
                    Form1.DefInstance.lblary3(j).BackColor = System.Drawing.ColorTranslator.FromOle(RGB(0, 200, 200))
                ElseIf typ = 2 Then
                    Form1.DefInstance.lblary3(j).BackColor = System.Drawing.ColorTranslator.FromOle(RGB(255, 0, 0))
                ElseIf typ = 3 Then
                    Form1.DefInstance.lblary3(j).BackColor = System.Drawing.ColorTranslator.FromOle(RGB(0, 255, 255))
                End If
            Case 3 ' No 4
                If typ = 0 Then
                    Form1.DefInstance.lblary4(j).BackColor = System.Drawing.ColorTranslator.FromOle(RGB(220, 220, 220))
                ElseIf typ = 1 Then
                    Form1.DefInstance.lblary4(j).BackColor = System.Drawing.ColorTranslator.FromOle(RGB(0, 200, 200))
                ElseIf typ = 2 Then
                    Form1.DefInstance.lblary4(j).BackColor = System.Drawing.ColorTranslator.FromOle(RGB(255, 0, 0))
                ElseIf typ = 3 Then
                    Form1.DefInstance.lblary4(j).BackColor = System.Drawing.ColorTranslator.FromOle(RGB(0, 255, 255))
                End If
            Case 4 ' No 5
                If typ = 0 Then
                    Form1.DefInstance.lblary5(j).BackColor = System.Drawing.ColorTranslator.FromOle(RGB(220, 220, 220))
                ElseIf typ = 1 Then
                    Form1.DefInstance.lblary5(j).BackColor = System.Drawing.ColorTranslator.FromOle(RGB(0, 200, 200))
                ElseIf typ = 2 Then
                    Form1.DefInstance.lblary5(j).BackColor = System.Drawing.ColorTranslator.FromOle(RGB(255, 0, 0))
                ElseIf typ = 3 Then
                    Form1.DefInstance.lblary5(j).BackColor = System.Drawing.ColorTranslator.FromOle(RGB(0, 255, 255))
                End If
        End Select


    End Sub

    Sub snderr_set(ByVal i As Integer, ByVal j As Integer, ByVal typ As Integer)

        Select Case i
            Case 0 ' No 1
                If typ = 0 Then
                    Form1.DefInstance.txtary6(j).BackColor = System.Drawing.ColorTranslator.FromOle(RGB(255, 255, 255))
                ElseIf typ = 1 Then
                    Form1.DefInstance.txtary6(j).BackColor = System.Drawing.ColorTranslator.FromOle(RGB(0, 180, 180))
                ElseIf typ = 2 Then
                    Form1.DefInstance.txtary6(j).BackColor = System.Drawing.ColorTranslator.FromOle(RGB(255, 0, 0))
                ElseIf typ = 3 Then
                    Form1.DefInstance.txtary6(j).BackColor = System.Drawing.ColorTranslator.FromOle(RGB(0, 255, 255))
                ElseIf typ = 4 Then
                    Form1.DefInstance.txtary6(j).BackColor = System.Drawing.ColorTranslator.FromOle(RGB(220, 220, 220))
                End If
            Case 1 ' No 2
                If typ = 0 Then
                    Form1.DefInstance.txtary7(j).BackColor = System.Drawing.ColorTranslator.FromOle(RGB(255, 255, 255))
                ElseIf typ = 1 Then
                    Form1.DefInstance.txtary7(j).BackColor = System.Drawing.ColorTranslator.FromOle(RGB(0, 180, 180))
                ElseIf typ = 2 Then
                    Form1.DefInstance.txtary7(j).BackColor = System.Drawing.ColorTranslator.FromOle(RGB(255, 0, 0))
                ElseIf typ = 3 Then
                    Form1.DefInstance.txtary7(j).BackColor = System.Drawing.ColorTranslator.FromOle(RGB(0, 255, 255))
                ElseIf typ = 4 Then
                    Form1.DefInstance.txtary7(j).BackColor = System.Drawing.ColorTranslator.FromOle(RGB(220, 220, 220))
                End If
            Case 2 ' No 3
                If typ = 0 Then
                    Form1.DefInstance.txtary8(j).BackColor = System.Drawing.ColorTranslator.FromOle(RGB(255, 255, 255))
                ElseIf typ = 1 Then
                    Form1.DefInstance.txtary8(j).BackColor = System.Drawing.ColorTranslator.FromOle(RGB(0, 180, 180))
                ElseIf typ = 2 Then
                    Form1.DefInstance.txtary8(j).BackColor = System.Drawing.ColorTranslator.FromOle(RGB(255, 0, 0))
                ElseIf typ = 3 Then
                    Form1.DefInstance.txtary8(j).BackColor = System.Drawing.ColorTranslator.FromOle(RGB(0, 255, 255))
                ElseIf typ = 4 Then
                    Form1.DefInstance.txtary8(j).BackColor = System.Drawing.ColorTranslator.FromOle(RGB(220, 220, 220))
                End If
            Case 3 ' No 4
                If typ = 0 Then
                    Form1.DefInstance.txtary9(j).BackColor = System.Drawing.ColorTranslator.FromOle(RGB(255, 255, 255))
                ElseIf typ = 1 Then
                    Form1.DefInstance.txtary9(j).BackColor = System.Drawing.ColorTranslator.FromOle(RGB(0, 180, 180))
                ElseIf typ = 2 Then
                    Form1.DefInstance.txtary9(j).BackColor = System.Drawing.ColorTranslator.FromOle(RGB(255, 0, 0))
                ElseIf typ = 3 Then
                    Form1.DefInstance.txtary9(j).BackColor = System.Drawing.ColorTranslator.FromOle(RGB(0, 255, 255))
                ElseIf typ = 4 Then
                    Form1.DefInstance.txtary9(j).BackColor = System.Drawing.ColorTranslator.FromOle(RGB(220, 220, 220))
                End If
            Case 4 ' No 5
                If typ = 0 Then
                    Form1.DefInstance.txtary10(j).BackColor = System.Drawing.ColorTranslator.FromOle(RGB(255, 255, 255))
                ElseIf typ = 1 Then
                    Form1.DefInstance.txtary10(j).BackColor = System.Drawing.ColorTranslator.FromOle(RGB(0, 180, 180))
                ElseIf typ = 2 Then
                    Form1.DefInstance.txtary10(j).BackColor = System.Drawing.ColorTranslator.FromOle(RGB(255, 0, 0))
                ElseIf typ = 3 Then
                    Form1.DefInstance.txtary10(j).BackColor = System.Drawing.ColorTranslator.FromOle(RGB(0, 255, 255))
                ElseIf typ = 4 Then
                    Form1.DefInstance.txtary10(j).BackColor = System.Drawing.ColorTranslator.FromOle(RGB(220, 220, 220))
                End If
        End Select


    End Sub

    Sub snddir_enb(ByVal i As Integer, ByVal j As Integer, ByVal typ As Integer)

        Select Case i
            Case 0 ' No 1
                If typ = 0 Then
                    Form1.DefInstance.btnary14(j).Enabled = False
                    Form1.DefInstance.txtary6(j).ReadOnly = True
                Else
                    Form1.DefInstance.btnary14(j).Enabled = True
                    Form1.DefInstance.txtary6(j).ReadOnly = False
                End If
            Case 1 ' No 2
                If typ = 0 Then
                    Form1.DefInstance.btnary15(j).Enabled = False
                    Form1.DefInstance.txtary7(j).ReadOnly = True
                Else
                    Form1.DefInstance.btnary15(j).Enabled = True
                    Form1.DefInstance.txtary7(j).ReadOnly = False
                End If
            Case 2 ' No 3
                If typ = 0 Then
                    Form1.DefInstance.btnary16(j).Enabled = False
                    Form1.DefInstance.txtary8(j).ReadOnly = True
                Else
                    Form1.DefInstance.btnary16(j).Enabled = True
                    Form1.DefInstance.txtary8(j).ReadOnly = False
                End If
            Case 3 ' No 4
                If typ = 0 Then
                    Form1.DefInstance.btnary17(j).Enabled = False
                    Form1.DefInstance.txtary9(j).ReadOnly = True
                Else
                    Form1.DefInstance.btnary17(j).Enabled = True
                    Form1.DefInstance.txtary9(j).ReadOnly = False
                End If
            Case 4 ' No 5
                If typ = 0 Then
                    Form1.DefInstance.btnary18(j).Enabled = False
                    Form1.DefInstance.txtary10(j).ReadOnly = True
                Else
                    Form1.DefInstance.btnary18(j).Enabled = True
                    Form1.DefInstance.txtary10(j).ReadOnly = False

                End If
		End Select
		
		
	End Sub
	
	Function BmpSend(ByVal snddir As String) As Integer
		Dim n As Short
		Dim i As Integer
		Dim fbmp As tagBITMAPFILEHEADER
		Dim bmpfnm As String
		Dim ctlfnm As String
		Dim dirnm As String
		Dim chkdir As String
		Dim ctlrec As VIDEOCTLF
		Dim rt As Integer
		Dim Dir1 As String
		Dim hzk As String
		Dim tim As String
		Dim shzk As String
		Dim cflg As Integer
		Dim scl As Integer
		Dim bmpcnvsw As Integer
		Dim timsts As BMPSTSINF
		
		On Error Resume Next
		bmpcnvsw = Form1.DefInstance.Check2.CheckState ' 1 = 摜HL
		timsts.tm1 = 0
		timsts.tm2 = 0
		timsts.tm3 = 0
		timsts.tm4 = 0
        timsts.tm5 = 0
        ctlrec.Wflg = 0
        ctlrec.Pos = 0
        ctlrec.UseFlg1 = 0
        ctlrec.UseFlg1 = 0
        ctlrec.hzk1 = ""
        ctlrec.hzk2 = ""
        hzk = DateString
        tim = TimeString
		shzk = Mid(hzk, 1, 4) & "/" & Mid(hzk, 6, 2) & "/" & Mid(hzk, 9, 2)
		shzk = shzk & " " & tim
		BmpSend = 1
		'**** send dir check
		ChDrive(mydrive)
		ChDir(mydir)
		ctlfnm = "cap.ctl"
        If Dir(snddir & ctlfnm, FileAttribute.Normal) = "" Then
            ' cap.ctl Create
            ctlrec.Wflg = 0
            ctlrec.Pos = 0
            ctlrec.UseFlg1 = 0
            ctlrec.UseFlg1 = 0
            ctlrec.hzk1 = ""
            ctlrec.hzk2 = ""
        Else
            FileOpen(1, snddir & ctlfnm, OpenMode.Binary)
            FileGet(1, ctlrec)
            FileClose(1)
        End If
        ctlrec.Wflg = 1
        '******** cap.ctl write Start *******
        FileOpen(1, snddir & ctlfnm, OpenMode.Binary)
        FilePut(1, ctlrec)
        FileClose(1)
        '******** cap.ctl edit *******
        If ctlrec.Pos > 255 Then
            ctlrec.Pos = ctlrec.Pos - 256
        End If
        n = ctlrec.Pos
        If n > 1 Then
            n = 1
        End If
        If n = 0 Then
            ctlrec.UseFlg1 = 1
            ctlrec.hzk1 = LSet(shzk & "  ", 20)
        Else
            ctlrec.UseFlg2 = 1
            ctlrec.hzk2 = LSet(shzk & "  ", 20)
        End If
        ctlrec.Pos = ctlrec.Pos + 1
        If ctlrec.Pos > 1 Then
            ctlrec.Pos = 0
        End If
        '***********  BitMap File Write *******
        If n = 0 Then
            Form1.DefInstance.Label10.BackColor = System.Drawing.ColorTranslator.FromOle(RGB(0, 255, 255))
            Form1.DefInstance.Label11.BackColor = System.Drawing.ColorTranslator.FromOle(RGB(200, 200, 200))
        Else
            Form1.DefInstance.Label11.BackColor = System.Drawing.ColorTranslator.FromOle(RGB(0, 255, 255))
            Form1.DefInstance.Label10.BackColor = System.Drawing.ColorTranslator.FromOle(RGB(200, 200, 200))
        End If
        bmpfnm = "cap" & Right(Str(100 + n), 1) & ".bmp"
        rt = bitmapfchk(bmpfnm)
        If rt = 0 Then
            BmpSend = 0
            Exit Function
        End If
        Form1.DefInstance.Text11.Text = shzk

        If bmpcnvsw = 0 Then
            FileCopy(mydir & bmpfnm, snddir & bmpfnm)
        Else
            scl = Form1.DefInstance.hscary1(0).Value
            cflg = 10 - Form1.DefInstance.hscary1(1).Value + 1
            rt = BmpEdit(Form1.DefInstance.Picture1.Handle.ToInt32, Form1.DefInstance.Text4.Handle.ToInt32, mydir & bmpfnm, snddir & bmpfnm, cflg, scl, timsts)
        End If
        ctlrec.Wflg = 7 ' BMP FILE TEST MODE

        ctlrec.Pos = ctlrec.Pos + 256
        FileOpen(1, snddir & ctlfnm, OpenMode.Binary)
        FilePut(1, ctlrec)
        FileClose(1)

        '******* ݒʒm*****
        dirnm = snddir & "CAPDIR"
        chkdir = Dir(dirnm, FileAttribute.Directory)
        If chkdir <> "" Then
            If Dir(dirnm & "\*.*", FileAttribute.Normal) <> "" Then
                Kill(dirnm & "\*.*")
            End If
            RmDir(dirnm)
        Else
            MkDir(dirnm)
        End If

        If bmpcnvsw = 0 Then
            If n = 0 Then
                If cap0fsw = 1 Then
                    rt = videodsp(Form1.DefInstance.Picture1.Handle.ToInt32, 0)
                End If
            Else
                If cap1fsw = 1 Then
                    rt = videodsp(Form1.DefInstance.Picture1.Handle.ToInt32, 1)
                End If
            End If
        End If
		
		
	End Function
	Function patheset(ByVal Dir1 As String) As String
		If Right(Dir1, 1) <> "\" Then
			patheset = Dir1 & "\"
		Else
			patheset = Dir1
		End If
	End Function
	Function getsndcnt(ByVal cnt As Integer) As Integer
		Dim scnt As Integer

        Dim i As Integer
		
		scnt = cnt
		For i = 0 To 29
			scnt = scnt + 1
			If scnt > 29 Then
				scnt = 0
			End If
			If capstflg(scnt) = 1 Then
				getsndcnt = scnt
				Exit Function
			End If
		Next i
		getsndcnt = -1
	End Function
	Function getsnddir(ByVal cnt As Integer) As String
		If capstflg(cnt) = 1 Then
			getsnddir = capsnddir(cnt)
			Exit Function
		End If
		getsnddir = ""
	End Function
	
	Function bitmapfchk(ByVal fnm As String) As Object
		Dim bmpfhd As tagBITMAPFILEHEADER
		Dim bmphed As tagBITMAPINFOHEADER
		Dim ern As Integer
		
		On Error Resume Next
		
		ern = 0
		FileOpen(1, fnm, OpenMode.Binary, OpenAccess.Read)
		'    bmpfhd = Input$(LenB(bmpfhd), #1)
        FileGet(1, bmpfhd)
		If bmpfhd.bfType <> &H4D42s Then
			ern = 1
		Else
			'        bmphed = Input$(LenB(bmphed), #1)
            FileGet(1, bmphed)
			If bmphed.biWidth = 160 And bmphed.biHeight = 120 Then
			ElseIf bmphed.biWidth = 320 And bmphed.biHeight = 240 Then 
			ElseIf bmphed.biWidth = 640 And bmphed.biHeight = 480 Then 
			Else
				ern = 2
			End If
		End If
		FileClose(1)
		If ern = 1 Then
            bitmapfchk = 0
			Form1.DefInstance.Text11.Text = "BITMAPȊOł"
			Form1.DefInstance.Label8.BackColor = System.Drawing.ColorTranslator.FromOle(RGB(250, 250, 0))
			Form1.DefInstance.Text11.BackColor = System.Drawing.ColorTranslator.FromOle(RGB(250, 250, 0))
			Exit Function
		ElseIf ern = 2 Then 
            bitmapfchk = 0
			Form1.DefInstance.Text11.Text = "摜`Ⴂ܂"
			Form1.DefInstance.Label8.BackColor = System.Drawing.ColorTranslator.FromOle(RGB(250, 250, 0))
			Form1.DefInstance.Text11.BackColor = System.Drawing.ColorTranslator.FromOle(RGB(250, 250, 0))
			Form1.DefInstance.Label8.Text = Str(bmphed.biWidth) & "*" & Str(bmphed.biHeight)
			Form1.DefInstance.Label9.Text = Str(bmphed.biSizeImage) & " Byte"
			Exit Function
		End If
		Form1.DefInstance.Label8.Text = Str(bmphed.biWidth) & "*" & Str(bmphed.biHeight)
		Form1.DefInstance.Label9.Text = Str(bmphed.biSizeImage) & " Byte"
        bitmapfchk = 1
	End Function
	
    Function bmphget(ByVal no As Integer) As Integer
        Dim fnm As String
        Dim fhed As tagBITMAPFILEHEADER
        Dim bsize As Integer
        Dim i As Integer
        Dim fpt As String

        On Error Resume Next

        ChDrive(mydrive)
        ChDir(mydir)
        If no = 0 Then
            fnm = mydir & "cap0.bmp"
            fpt = filechk_sb(fnm)
            If fpt = "" Then
                bmphget = 1
                Exit Function
            End If
            FileOpen(1, fnm, OpenMode.Binary, OpenAccess.Read)
            FileGet(1, fhed)
            If fhed.bfType <> &H4D42S Then
                bmphget = 1
                FileClose(1)
                Exit Function
            End If
            FileGet(1, cap0bfmt)
            cap0size = cap0bfmt.biSizeImage
            ReDim cap0bpt(cap0size)
            FileGet(1, cap0bpt)
            FileClose(1)
            i = cap0bpt(0)
            i = cap0bpt(1)
            i = cap0bpt(2)
        Else
            fnm = mydir & "cap1.bmp"
            fpt = filechk_sb(fnm)
            If fpt = "" Then
                bmphget = 1
                Exit Function
            End If
            FileOpen(1, fnm, OpenMode.Binary, OpenAccess.Read)
            FileGet(1, fhed)
            If fhed.bfType <> &H4D42S Then
                bmphget = 1
                FileClose(1)
                Exit Function
            End If
            FileGet(1, cap1bfmt)
            cap1size = cap1bfmt.biSizeImage
            ReDim cap1bpt(cap1size)
            FileGet(1, cap1bpt)
            FileClose(1)
        End If
        bmphget = 0
    End Function
    Function videodsp(ByVal wnd As Integer, ByVal no As Integer) As Integer

        Dim hdc As Integer
        Dim wrect As tagRECT
        '       Dim vfmt As tagBITMAPINFOHEADER
        Dim rt As Integer

        If wnd = 0 Then
            videodsp = 1
            Exit Function
        End If
        rt = GetClientRect(wnd, wrect)
        hdc = GetDC(wnd)

        If no = 0 Then
            rt = DrawDibDraw(hdrawdibDc, hdc, wrect.left_Renamed, wrect.top, wrect.right_Renamed - wrect.left_Renamed, wrect.bottom - wrect.top, cap0bfmt, cap0bpt(0), 0, 0, -1, -1, 0)
        Else
            rt = DrawDibDraw(hdrawdibDc, hdc, wrect.left_Renamed, wrect.top, wrect.right_Renamed - wrect.left_Renamed, wrect.bottom - wrect.top, cap1bfmt, cap1bpt(0), 0, 0, -1, -1, 0)
        End If

        rt = ReleaseDC(wnd, hdc)
        videodsp = 0
    End Function

    Function bmpload(ByVal wndobj As PictureBox, ByVal no As Integer) As Integer
        Dim tfnm0 As String
        Dim tfnm1 As String
        Dim tfnm9 As String

        Dim rt As Integer
        If Not (wndobj.Image Is Nothing) Then
            wndobj.Image.Dispose()
        End If
        wndobj.Image = Nothing
        tfnm0 = tmpdir & "captestwk0.bmp"
        tfnm1 = tmpdir & "captestwk1.bmp"
        tfnm9 = tmpdir & "captestwk9.bmp"

        If no = 0 And cap0fsw = 1 Then
            rt = Get_bmtfile(Form4.DefInstance.Picture2_0.Handle.ToInt32, tfnm0, 0)
            wndobj.Image = System.Drawing.Image.FromFile(tfnm0)
        ElseIf no = 1 And cap1fsw = 1 Then
            rt = Get_bmtfile(Form4.DefInstance.Picture2_1.Handle.ToInt32, tfnm1, 1)
            wndobj.Image = System.Drawing.Image.FromFile(tfnm1)
        ElseIf no = 9 And capwfsw = 1 Then
            rt = Get_bmtfile(Form4.DefInstance.Picture1.Handle.ToInt32, tfnm9, 9)
            wndobj.Image = System.Drawing.Image.FromFile(tfnm9)
        Else
            bmpload = 1
            Exit Function
        End If
        bmpload = 0
    End Function


    Function Get_bmtfile(ByVal hwnd As Integer, ByVal tmpfnm As String, ByVal no As Integer) As Integer

        Dim size As Integer
        Dim i As Integer
        Dim rt As Integer
        Dim pt As Integer
        Dim buf As Integer
        Dim wrect As tagRECT
        Dim in_hDC As Integer
        Dim in_hbmp As Integer
        Dim in_bm As tagBITMAP
        Dim ln As Integer
        Dim ncol As Integer
        Dim sz As Integer
        Dim oldobj As Integer
        Dim to_bithed As tagBITMAPINFOHEADER
        Dim bfhdr As tagBITMAPFILEHEADER
        Dim mem_hDC As Integer
        Dim nmode As Integer
        Dim omode As Integer
        Dim mem_hbmp As Integer
        Dim picx As Integer
        Dim picy As Integer

        On Error Resume Next

        in_hDC = GetDC(hwnd)
        rt = GetClientRect(hwnd, wrect)

        in_hbmp = CreateCompatibleBitmap(in_hDC, wrect.right_Renamed, wrect.bottom)
        rt = GetObjectA(in_hbmp, 24, in_bm)
        mem_hDC = CreateCompatibleDC(in_hDC)
        nmode = GetMapMode(in_hDC)
        omode = SetMapMode(in_hDC, nmode)
        mem_hbmp = SelectObject(mem_hDC, in_hbmp)
        If no = 0 Then
            rt = DrawDibDraw(hdrawdibDc, mem_hDC, wrect.left_Renamed, wrect.top, wrect.right_Renamed - wrect.left_Renamed, wrect.bottom - wrect.top, cap0bfmt, cap0bpt(0), 0, 0, -1, -1, 0)
        ElseIf no = 1 Then
            rt = DrawDibDraw(hdrawdibDc, mem_hDC, wrect.left_Renamed, wrect.top, wrect.right_Renamed - wrect.left_Renamed, wrect.bottom - wrect.top, cap1bfmt, cap1bpt(0), 0, 0, -1, -1, 0)
        Else
            rt = DrawDibDraw(hdrawdibDc, mem_hDC, wrect.left_Renamed, wrect.top, wrect.right_Renamed - wrect.left_Renamed, wrect.bottom - wrect.top, capwbfmt, capwbpt(0), 0, 0, -1, -1, 0)
        End If


        oldobj = SelectObject(mem_hDC, mem_hbmp)
        '*****************************************************
        '  24 bit Mode Only
        '   ncol = in_bm.bmPlanes * in_bm.bmBitsPixel
        '   If ncol <= 1 Then
        '       ncol = 1
        '       sz = 1
        '   ElseIf ncol <= 4 Then
        '       ncol = 4
        '       sz = 16
        '   ElseIf ncol <= 8 Then
        '       ncol = 8
        '       sz = 256
        '   Else
        '       ncol = 24
        '       sz = 1024
        '    End If



        picx = in_bm.bmWidth
        picy = in_bm.bmHeight

        size = bmtsizeset(picx, picy)
        ReDim wkbf(size)

        to_bithed.biSize = 40
        to_bithed.biWidth = in_bm.bmWidth
        to_bithed.biHeight = in_bm.bmHeight

        '  to_bithed.biPlanes =   in_bm.bmPlanes;
        to_bithed.biPlanes = 1
        '  to_bithed.biBitCount=  in_bm.bmBitsPixel;
        to_bithed.biBitCount = 24
        to_bithed.biCompression = 0
        to_bithed.biSizeImage = in_bm.bmWidth * in_bm.bmHeight * 3
        to_bithed.biXPelsPerMeter = 0
        to_bithed.biYPelsPerMeter = 0
        to_bithed.biClrUsed = 0
        to_bithed.biClrImportant = 0

        rt = GetDIBits(mem_hDC, in_hbmp, 0, in_bm.bmHeight, wkbf(0), to_bithed, DIB_RGB_COLORS)

        rt = DeleteObject(mem_hDC)
        rt = DeleteObject(in_hbmp)
        rt = DeleteObject(mem_hbmp)
        rt = ReleaseDC(hwnd, in_hDC)
        bfhdr.bfType = &H4D42S
        bfhdr.bfReserved1 = 0
        bfhdr.bfReserved2 = 0
        bfhdr.bfOffBits = 40 + 14
        bfhdr.bfSizev = bfhdr.bfOffBits + size

        FileOpen(1, tmpfnm, OpenMode.Binary)
        Seek(1, 0)
        FilePut(1, bfhdr)
        FilePut(1, to_bithed)
        FilePut(1, wkbf)
        FileClose(1)
        Get_bmtfile = 0
    End Function

    Function dspbmpfm(ByVal no As Integer) As String
        Dim w As String

        w = ""
        If no = 0 And cap0fsw = 1 Then
            w = Str(cap0bfmt.biWidth) & "*" & Str(cap0bfmt.biHeight)
        ElseIf no = 1 And cap1fsw = 1 Then
            w = Str(cap1bfmt.biWidth) & "*" & Str(cap1bfmt.biHeight)
        ElseIf no = 9 And capwfsw = 1 Then
            w = Str(capwbfmt.biWidth) & "*" & Str(capwbfmt.biHeight)
        End If
        dspbmpfm = w
    End Function

    Function dspbmpsz(ByVal no As Integer) As String
        Dim w As String

        w = ""
        If no = 0 And cap0fsw = 1 Then
            w = Str(cap0bfmt.biSizeImage) & " Byte"
        ElseIf no = 1 And cap1fsw = 1 Then
            w = Str(cap1bfmt.biSizeImage) & " Byte"
        ElseIf no = 9 And capwfsw = 1 Then
            w = Str(capwbfmt.biSizeImage) & " Byte"
        End If
        dspbmpsz = w
    End Function

    Function dspbmpcmp(ByVal no As Integer) As String
        Dim w As String

        w = ""
        If no = 0 And cap0fsw = 1 Then
            If cap0bfmt.biCompression = 0 Then
                w = "RGB"
            Else
                w = IToC(cap0bfmt.biCompression)
            End If
        ElseIf no = 1 And cap1fsw = 1 Then
            If cap1bfmt.biCompression = 0 Then
                w = "RGB"
            Else
                w = IToC(cap1bfmt.biCompression)
            End If
        ElseIf no = 9 And capwfsw = 1 Then
            If capwbfmt.biCompression = 0 Then
                w = "RGB"
            Else
                w = IToC(capwbfmt.biCompression)
            End If
        End If
        dspbmpcmp = w
    End Function

    Function IToC(ByRef cmpnm As Integer) As String
        Dim a1 As Integer
        Dim a2 As Integer
        Dim a3 As Integer
        Dim a4 As Integer
        Dim dt As String

        If cmpnm = 0 Then
            IToC = "RGB24"
            Exit Function
        End If
        dt = Right("20202020" & Hex(cmpnm), 8)
        a1 = Val("&h" & Mid(dt, 1, 2))
        a2 = Val("&h" & Mid(dt, 3, 2))
        a3 = Val("&h" & Mid(dt, 5, 2))
        a4 = Val("&h" & Mid(dt, 7, 2))
        IToC = Chr(a4) & Chr(a3) & Chr(a2) & Chr(a1)
    End Function

    Function bmtsizeset(ByVal x As Integer, ByVal y As Integer) As Integer
        Dim px As Integer
        Dim x1 As Integer
        Dim x2 As Integer

        x1 = Fix(x / 8)
        x2 = x Mod 8

        If x2 <> 0 Then
            px = (x1 + 1) * 8
        Else
            px = x
        End If
        bmtsizeset = px * y * 3
    End Function
    Function capwhget(ByVal tfnm As String) As Object
        Dim fnm As String
        Dim fhed As tagBITMAPFILEHEADER
        Dim bsize As Integer

        On Error Resume Next

        FileOpen(1, tfnm, OpenMode.Binary, OpenAccess.Read)
        FileGet(1, fhed)
        If fhed.bfType <> &H4D42S Then
            capwhget = 1
            FileClose(1)
            Exit Function
        End If
        FileGet(1, capwbfmt)
        capwsize = capwbfmt.biSizeImage
        ReDim capwbpt(capwsize)
        FileGet(1, capwbpt)
        FileClose(1)
        capwfsw = 1
        capwhget = 0
    End Function

    Function ChgBmpFmt(ByVal hwnd As Integer, ByVal typ As Integer) As Integer

        Dim size As Integer
        '    Dim i As Integer
        Dim rt As Integer
        '     Dim pt As Integer
        '    Dim buf As Integer
        Dim wrect As tagRECT
        Dim in_hDC As Integer
        Dim in_hbmp As Integer
        Dim in_bm As tagBITMAP
        '       Dim ln As Integer
        '       Dim ncol As Integer
        '    Dim sz As Integer
        Dim oldobj As Integer
        Dim to_bithed As tagBITMAPINFOHEADER
        '     Dim bfhdr As tagBITMAPFILEHEADER
        Dim mem_hDC As Integer
        Dim nmode As Integer
        Dim omode As Integer
        Dim mem_hbmp As Integer
        Dim picx As Integer
        Dim picy As Integer

        in_hDC = GetDC(hwnd)
        wrect.top = 0
        wrect.left_Renamed = 0
        If typ = 0 Then
            wrect.right_Renamed = 640
            wrect.bottom = 480
        ElseIf typ = 1 Then
            wrect.right_Renamed = 320
            wrect.bottom = 240
        Else
            wrect.right_Renamed = 160
            wrect.bottom = 120
        End If

        in_hbmp = CreateCompatibleBitmap(in_hDC, wrect.right_Renamed, wrect.bottom)
        rt = GetObjectA(in_hbmp, 24, in_bm)
        mem_hDC = CreateCompatibleDC(in_hDC)
        nmode = GetMapMode(in_hDC)
        omode = SetMapMode(in_hDC, nmode)
        mem_hbmp = SelectObject(mem_hDC, in_hbmp)
        rt = DrawDibDraw(hdrawdibDc, mem_hDC, wrect.left_Renamed, wrect.top, wrect.right_Renamed - wrect.left_Renamed, wrect.bottom - wrect.top, capwbfmt, capwbpt(0), 0, 0, -1, -1, 0)


        oldobj = SelectObject(mem_hDC, mem_hbmp)
        '*****************************************************
        '  24 bit Mode Only
        picx = in_bm.bmWidth
        picy = in_bm.bmHeight

        size = bmtsizeset(picx, picy)
        ReDim wkbf(size)

        to_bithed.biSize = 40
        to_bithed.biWidth = in_bm.bmWidth
        to_bithed.biHeight = in_bm.bmHeight

        '  to_bithed.biPlanes =   in_bm.bmPlanes;
        to_bithed.biPlanes = 1
        '  to_bithed.biBitCount=  in_bm.bmBitsPixel;
        to_bithed.biBitCount = 24
        to_bithed.biCompression = 0
        to_bithed.biSizeImage = in_bm.bmWidth * in_bm.bmHeight * 3
        to_bithed.biXPelsPerMeter = 0
        to_bithed.biYPelsPerMeter = 0
        to_bithed.biClrUsed = 0
        to_bithed.biClrImportant = 0

        rt = GetDIBits(mem_hDC, in_hbmp, 0, in_bm.bmHeight, wkbf(0), to_bithed, DIB_RGB_COLORS)

        rt = DeleteObject(mem_hDC)
        rt = DeleteObject(in_hbmp)
        rt = DeleteObject(mem_hbmp)
        rt = ReleaseDC(hwnd, in_hDC)

        ReDim capwbpt(size)
        capwsize = size
        capwbpt = wkbf.Clone
        capwbfmt = to_bithed
        ChgBmpFmt = 0
    End Function

    Function bmpfwrt(ByVal no As Integer) As Integer
        Dim fnm As String
        Dim fpt As String
        Dim bfhdr As tagBITMAPFILEHEADER

        On Error Resume Next

        ChDrive(mydrive)
        ChDir(mydir)

        bfhdr.bfType = &H4D42S
        bfhdr.bfReserved1 = 0
        bfhdr.bfReserved2 = 0
        bfhdr.bfOffBits = 40 + 14

        If no = 0 Then
            fnm = mydir & "cap0.bmp"
            bfhdr.bfSizev = bfhdr.bfOffBits + cap0size
            fpt = filechk_sb(fnm)
            If fpt <> "" Then
                Kill(fnm)
            End If
            FileOpen(1, fnm, OpenMode.Binary)
            FilePut(1, bfhdr)
            FilePut(1, cap0bfmt)
            FilePut(1, cap0bpt)
            FileClose(1)
        ElseIf no = 1 Then
            fnm = mydir & "cap1.bmp"
            bfhdr.bfSizev = bfhdr.bfOffBits + cap1size
            fpt = filechk_sb(fnm)
            If fpt <> "" Then
                Kill(fnm)
            End If
            FileOpen(1, fnm, OpenMode.Binary)
            FilePut(1, bfhdr)
            FilePut(1, cap1bfmt)
            FilePut(1, cap1bpt)
            FileClose(1)
        Else
            bmpfwrt = 1
        End If
        bmpfwrt = 0
    End Function

    Function bmpfmtchk(ByVal no As Integer) As Integer
        If no = 0 Then
            If cap0bfmt.biWidth = 640 And cap0bfmt.biHeight = 480 Then
            ElseIf cap0bfmt.biWidth = 320 And cap0bfmt.biHeight = 240 Then
            ElseIf cap0bfmt.biWidth = 160 And cap0bfmt.biHeight = 120 Then
            Else
                bmpfmtchk = 1
                Exit Function
            End If
        ElseIf no = 1 Then
            If cap1bfmt.biWidth = 640 And cap1bfmt.biHeight = 480 Then
            ElseIf cap1bfmt.biWidth = 320 And cap1bfmt.biHeight = 240 Then
            ElseIf cap1bfmt.biWidth = 160 And cap1bfmt.biHeight = 120 Then
            Else
                bmpfmtchk = 1
                Exit Function
            End If
        ElseIf no = 9 Then
            If capwbfmt.biWidth = 640 And capwbfmt.biHeight = 480 Then
            ElseIf capwbfmt.biWidth = 320 And capwbfmt.biHeight = 240 Then
            ElseIf capwbfmt.biWidth = 160 And capwbfmt.biHeight = 120 Then
            Else
                bmpfmtchk = 1
                Exit Function
            End If
        Else
            bmpfmtchk = 1
            Exit Function
        End If
        bmpfmtchk = 0
    End Function
    Function getdir(ByVal fnm As String) As String
        Dim lng As Integer
        Dim Pos As Integer
        Dim hit As Integer
        Dim i As Integer

        lng = Len(fnm)
        If lng < 1 Then
            getdir = ""
            Exit Function
        End If
        hit = 0
        Pos = 0
        For i = 1 To lng
            If Mid(fnm, i, 1) = "\" Then
                Pos = i
                hit = 1
            End If
        Next
        If hit = 0 Then
            getdir = Left(fnm, 1) & ":\"
            Exit Function
        End If
        getdir = Left(fnm, Pos)
    End Function
    Sub HelpDisp(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs, ByVal FName As Form)
        Dim ret As Integer
        Dim path As String

        On Error Resume Next
        path = mydir & "USBLANV4.chm"
        Windows.Forms.Help.ShowHelp(FName, path)

    End Sub
End Module