
#include <windows.h>
#include <stdio.h>

#include "capdlldsp.h"

int	 cjpeg_main (int argc, char **argv);
int	 djpeg_main (int argc, char **argv);


//***************************************
//*   JPEG FILE MODE 
//***************************************
int	APIENTRY 	bmp_jpeg_proc (LPBYTE bmpfnm,LPBYTE jpgfnm,DWORD Jpeg_Quality)
{
	LPBYTE		argv[10];
	BYTE		quality[10];
	BYTE		prg_name[256];

	//*****  ޯϯ߂ JPEG ٍ̧쐬
	strcpy (prg_name,"CAPDSPDLL");
	wsprintf (quality,"%d",Jpeg_Quality);
	argv[0]	=	prg_name;
	argv[1]	=	"-quality";
	argv[2]	=	quality;
	argv[3]	=	"-outfile";
	argv[4]	=	jpgfnm;
	argv[5]	=	bmpfnm;
	argv[6]	=	0;
	cjpeg_main (6, argv);		// jpg ϊ
	return	1;
}


int APIENTRY	jpeg_to_bmp (LPBYTE jpgfnm,LPBYTE bmpfnm)
{

	LPBYTE		argv[10];
	BYTE		prg_name[256];

	strcpy (prg_name,"CAPDSPDLL");
	//**  jpeg ̧قޯϯٍ̧쐬
	argv[0] = "CAPDSPDLL";
	argv[1] = "-bmp";
	argv[2] = "-outfile";
	argv[3] = bmpfnm;
	argv[4] = jpgfnm;
	djpeg_main (5, argv);
	return	1;
}

int		creat_jpglib (LPBYTE libfnm,LPSYSTEMTIME tim,PJPEGFILE_HEAD jhed)
{ 
	HANDLE				fhndl;
	DWORD				wrt_len;

	fhndl = CreateFile (libfnm,
					GENERIC_READ | GENERIC_WRITE,
					0,
					NULL,
					CREATE_ALWAYS,
					FILE_ATTRIBUTE_NORMAL,		// 
					NULL);
		if (fhndl == INVALID_HANDLE_VALUE) {
			return 0;
		}
		jhed->ftyp		=	'PJ';
		jhed->ver		=	1;
		jhed->filesize	=	sizeof (JPEGFILE_HEAD);
		jhed->recken		=	0;
		jhed->stpos		=	sizeof (JPEGFILE_HEAD);
		jhed->edpos		=	sizeof (JPEGFILE_HEAD);
		jhed->yyyy		=	tim->wYear;
		jhed->mm			=	LOBYTE (tim->wMonth);
		jhed->dd			=	LOBYTE(tim->wDay);
		jhed->hh			=	LOBYTE(tim->wHour);
		jhed->mn			=	LOBYTE(tim->wMinute);

		WriteFile (fhndl,(void *)jhed,sizeof(JPEGFILE_HEAD),&wrt_len,NULL);
		CloseHandle (fhndl);
		return 1;
}

int  jpglib_datechk (LPSYSTEMTIME tim,PJPEGFILE_HEAD jhed)
{
	if (tim->wYear   !=  jhed->yyyy) { return 0;} 
	if (tim->wMonth  !=  jhed->mm)   { return 0;} 
	if (tim->wDay    !=  jhed->dd)   { return 0;} 
	if (tim->wHour   !=  jhed->hh)   { return 0;} 
	return 1;
}

int APIENTRY	jpeg_wrtlib (LPBYTE jpgdir,LPBYTE jpgfnm,DWORD libno,LPBYTE ascdate)
{
	
	JPEGFILE_HEAD		jhed;
	JPEGFILE_DATA		jdat;
	BYTE				libfnm[2048];
	BYTE				savfnm[2048];
	BYTE				wkhzk[128];
	BYTE				wkno[10];
	int					ln;
	int					rtcd;
	HANDLE				fhndl;
	DWORD				get_len;
	DWORD				wrt_len;
//	DWORD				size;
	LPBYTE				jpgbuf;
	DWORD				jpgsize;
	DWORD				jpgbfsize;
	SYSTEMTIME			tim;
	BYTE				wdate[20];

	ln = lstrlen(ascdate);
	if (ln < sizeof(wdate)) {
		memset (wdate,0,sizeof(wdate));
		memcpy (wdate,ascdate,ln);
	}
	else {
		ln = sizeof(wdate);
		memcpy (wdate,ascdate,ln);
		wdate[ln] = 0;
	}
	GetLocalTime (&tim);

	wsprintf ((PBYTE) &wkno,"%01d",libno);
	lstrcpy (libfnm,jpgdir);
	ln	= lstrlen (libfnm);
	if (ln == 0) {
		lstrcat (libfnm,"\\");
	}
	else {
		if (libfnm[ln-1] != '\\') {
			lstrcat (libfnm,"\\");
		}
	}
	lstrcpy (savfnm,libfnm);

	lstrcat (libfnm,JPEGLIBRAYNAME);
	lstrcat  (libfnm,wkno);
	lstrcat  (libfnm,".cap");
	
	fhndl = CreateFile (libfnm,
					GENERIC_READ | GENERIC_WRITE,
					0,
					NULL,
					OPEN_EXISTING,
					FILE_ATTRIBUTE_NORMAL,		// 
					NULL);
	if (fhndl == INVALID_HANDLE_VALUE) {
		rtcd = creat_jpglib (libfnm,&tim,&jhed);
		if (!rtcd) {
			return 0;
		}
	}
	else {
		ReadFile (fhndl,&jhed,sizeof(JPEGFILE_HEAD),&get_len,NULL);
		CloseHandle (fhndl);
		rtcd = jpglib_datechk (&tim,&jhed);
		if (!rtcd) {
			// DATE UNMATCH
			// RENAME
			lstrcat (savfnm,JPEGSAVENAME);
			lstrcat  (savfnm,wkno);
			wsprintf (wkhzk,"_%04d%02d%02d_%02d%02d",
						jhed.yyyy,jhed.mm,jhed.dd,jhed.hh,jhed.mn );
			lstrcat  (savfnm,wkhzk);
			lstrcat  (savfnm,".cap");
			rename (libfnm,savfnm);
			rtcd = creat_jpglib (libfnm,&tim,&jhed);
			if (!rtcd) {
				return 0;
			}
		}
	}
	if (jhed.ftyp	!=	'PJ') {
		return 0;
	}
	jpgbfsize = Get_FileSize(jpgfnm);
	jpgbfsize = jpgbfsize+256;

	jpgbuf = (LPBYTE) VirtualAlloc(NULL,jpgbfsize,						// 1 Mbyte
				MEM_RESERVE | MEM_COMMIT,PAGE_READWRITE);

	if (!jpgbuf) {
		return 0;
	}

	jpgsize = jpeg_mem_read(jpgfnm,jpgbuf);

	fhndl = CreateFile (libfnm,
					GENERIC_READ | GENERIC_WRITE,
					0,
					NULL,
					OPEN_EXISTING,
					FILE_ATTRIBUTE_NORMAL,		// 
					NULL);
	if (fhndl == INVALID_HANDLE_VALUE) {
		VirtualFree( jpgbuf,0,MEM_RELEASE );
		return 0;
	}
	SetFilePointer (fhndl,jhed.filesize,0,FILE_BEGIN);
	jdat.recno		=	jhed.recken + 1;
	jdat.bck_pos	=	jhed.edpos;
	jdat.nxt_pos	=	jhed.filesize + jpgsize + sizeof(JPEGFILE_DATA);
	jdat.size		=	jpgsize;
	memcpy (jdat.ascdate ,wdate,sizeof(jdat.ascdate));
	WriteFile (fhndl,(VOID*) &jdat,sizeof(JPEGFILE_DATA),&wrt_len,NULL);

	WriteFile (fhndl,jpgbuf,jpgsize,&wrt_len,NULL);
	// head data write
	SetFilePointer (fhndl,0,0,FILE_BEGIN);
	jhed.edpos		=	jhed.filesize ;
	jhed.recken		=	jhed.recken + 1;
	jhed.filesize	=	jhed.filesize + jpgsize + sizeof(JPEGFILE_DATA);
	WriteFile (fhndl,&jhed,sizeof(JPEGFILE_HEAD),&wrt_len,NULL);
	CloseHandle (fhndl);
	VirtualFree( jpgbuf,0,MEM_RELEASE );
	return 1;
}



DWORD	jpeg_mem_read(LPSTR jpg_fnm,LPSTR buf)
{
	DWORD		size;
	HANDLE		fhndl;
	DWORD		size_h;
	DWORD		get_len;

	
	fhndl = CreateFile (jpg_fnm,
					GENERIC_READ,
					FILE_SHARE_WRITE,
					NULL,
					OPEN_EXISTING,
					FILE_ATTRIBUTE_NORMAL,		// 
					NULL);
	if (fhndl == INVALID_HANDLE_VALUE) {
		return	0;
	}
	size	=	GetFileSize (fhndl,&size_h);
	ReadFile (fhndl,buf,size,&get_len,NULL);
	CloseHandle (fhndl);
	return	get_len;
}

DWORD	Get_FileSize(LPSTR jpg_fnm)
{
	DWORD		size;
	DWORD		size_h;
	HANDLE		fhndl;
	
	fhndl = CreateFile (jpg_fnm,
					GENERIC_READ,
					FILE_SHARE_WRITE,
					NULL,
					OPEN_EXISTING,
					FILE_ATTRIBUTE_NORMAL,		// 
					NULL);
	if (fhndl == INVALID_HANDLE_VALUE) {
		return	0;
	}
	size	=	GetFileSize (fhndl,&size_h);
	CloseHandle (fhndl);
	return	size;
}

int APIENTRY	get_libinf (LPBYTE jpgdir,DWORD prgno,PJPEGLIB_INF inf)
{
	HANDLE				fhndl;
	BYTE				libfnm[1024];
	BYTE				wkno[10];
	BYTE				jpg_fnm[128];
	JPEGFILE_HEAD		jhed;
	DWORD				get_len;
	int					ln;

	wsprintf ((PBYTE) &wkno,"%01d",prgno);
	lstrcpy (libfnm,jpgdir);
	ln	= lstrlen (libfnm);
	if (ln == 0) {
		lstrcat (libfnm,"\\");
	}
	else {
		if (libfnm[ln-1] != '\\') {
			lstrcat (libfnm,"\\");
		}
	}

	lstrcpy (jpg_fnm,JPEGLIBRAYNAME);
	lstrcat  (jpg_fnm,wkno);
	lstrcat  (jpg_fnm,".cap");
	
	lstrcat (libfnm,jpg_fnm);
	fhndl = CreateFile (libfnm,
					GENERIC_READ,
					FILE_SHARE_WRITE,
					NULL,
					OPEN_EXISTING,
					FILE_ATTRIBUTE_NORMAL,		// 
					NULL);
	if (fhndl == INVALID_HANDLE_VALUE) {
		return	0;
	}
	ReadFile (fhndl,&jhed,sizeof(JPEGFILE_HEAD),&get_len,NULL);
	CloseHandle (fhndl);
	inf->fken  = jhed.recken ;
	ln = lstrlen(jpg_fnm);
	if (ln < sizeof(inf->fnm)) {
		inf->dkn = ln;
		lstrcpy (inf->fnm ,jpg_fnm);
	}
	else {
		inf->dkn = sizeof(inf->fnm);
		memcpy (inf->fnm ,jpg_fnm,sizeof(inf->fnm));
	}
	return 1;
}



int APIENTRY	get_jpginf (LPBYTE jpgdir,LPBYTE jpgfnm,PJPEGLIB_INF inf)
{
	HANDLE				fhndl;
	BYTE				libfnm[1024];
	JPEGFILE_HEAD		jhed;
	DWORD				get_len;
	int					ln;

	lstrcpy (libfnm,jpgdir);
	ln	= lstrlen (libfnm);
	if (ln == 0) {
		lstrcat (libfnm,"\\");
	}
	else {
		if (libfnm[ln-1] != '\\') {
			lstrcat (libfnm,"\\");
		}
	}
	
	lstrcat (libfnm,jpgfnm);
	fhndl = CreateFile (libfnm,
					GENERIC_READ,
					FILE_SHARE_WRITE,
					NULL,
					OPEN_EXISTING,
					FILE_ATTRIBUTE_NORMAL,		// 
					NULL);
	if (fhndl == INVALID_HANDLE_VALUE) {
		return	0;
	}
	ReadFile (fhndl,&jhed,sizeof(JPEGFILE_HEAD),&get_len,NULL);
	CloseHandle (fhndl);
	inf->fken  = jhed.recken ;

	ln = lstrlen(jpgfnm);
	if (ln < sizeof(inf->fnm)) {
		inf->dkn = ln;
		lstrcpy (inf->fnm ,jpgfnm);
	}
	else {
		inf->dkn = sizeof(inf->fnm);
		memcpy (inf->fnm ,jpgfnm,sizeof(inf->fnm));
	}
	return 1;
}


int APIENTRY	put_jpgfile (LPBYTE jpgdir,LPBYTE jpglib,
							 LPBYTE jpgfnm,DWORD frame,
							 PJPEGDATA_INF pjpginf)
{
	HANDLE				fhndl;
	BYTE				libfnm[1024];
	BYTE				outfnm[1024];
	JPEGFILE_HEAD		jhed;
	JPEGFILE_DATA		jdat;
	DWORD				get_len;
	DWORD				wrt_len;
	int					ln;
	DWORD				recno;
	DWORD				strec;
	DWORD				edrec;
	DWORD				stpos;
	LPBYTE				bfpt;
	DWORD				size;
	JPEGDATA_INF			jpginf;

	recno = frame;
	lstrcpy (libfnm,jpgdir);
	ln	= lstrlen (libfnm);
	if (ln == 0) {
		lstrcat (libfnm,"\\");
	}
	else {
		if (libfnm[ln-1] != '\\') {
			lstrcat (libfnm,"\\");
		}
	}
	lstrcpy (outfnm,libfnm);
	
	lstrcat (libfnm,jpglib);
	lstrcat (outfnm,jpgfnm);

	fhndl = CreateFile (libfnm,
					GENERIC_READ,
					FILE_SHARE_WRITE,
					NULL,
					OPEN_EXISTING,
					FILE_ATTRIBUTE_NORMAL,		// 
					NULL);
	if (fhndl == INVALID_HANDLE_VALUE) {
		return	0;
	}
	ReadFile (fhndl,&jhed,sizeof(JPEGFILE_HEAD),&get_len,NULL);

	edrec = jhed.recken ;
	if (recno > edrec ) {
		CloseHandle (fhndl);
		return 0;
	}
	strec = 1;
	stpos  = jhed.stpos ;
	while (strec < recno) {
		SetFilePointer (fhndl,stpos,0,FILE_BEGIN);
		ReadFile (fhndl,(VOID*) &jdat,sizeof(JPEGFILE_DATA),&get_len,NULL);
		strec = jdat.recno + 1;
		stpos = jdat.nxt_pos ;
	}
	SetFilePointer (fhndl,stpos,0,FILE_BEGIN);
	ReadFile (fhndl,(VOID*) &jdat,sizeof(JPEGFILE_DATA),&get_len,NULL);
	if (jdat.recno != recno) {
		CloseHandle (fhndl);
		return 0;
	}
	size = jdat.size ;
	jpginf.dsize = sizeof(jdat.ascdate);
	memcpy (jpginf.data,jdat.ascdate ,sizeof(jdat.ascdate));
	bfpt = (LPBYTE) VirtualAlloc(NULL,size +1000,						// 1 Mbyte
				MEM_RESERVE | MEM_COMMIT,PAGE_READWRITE);
	if (!bfpt) {
		CloseHandle (fhndl);
		return 0;
	}
	ReadFile (fhndl,bfpt,size,&get_len,NULL);
	CloseHandle (fhndl);

	fhndl = CreateFile (outfnm,
					GENERIC_READ | GENERIC_WRITE,
					0,
					NULL,
					CREATE_ALWAYS,
					FILE_ATTRIBUTE_NORMAL,		// 
					NULL);
	if (fhndl == INVALID_HANDLE_VALUE) {
		VirtualFree( bfpt,0,MEM_RELEASE );
		return 0;
	}
	WriteFile (fhndl,bfpt,size,&wrt_len,NULL);
	CloseHandle (fhndl);

	VirtualFree( bfpt,0,MEM_RELEASE );
	pjpginf->dsize = jpginf.dsize;
	memcpy (pjpginf->data,jpginf.data,jpginf.dsize);
	return 1;

}



int APIENTRY	get_bitmapfmt (LPBYTE bmpfnm,LPBITMAPINFOHEADER pbfmt)
{

	HANDLE				fhndl;
	DWORD				get_len;
	BITMAPFILEHEADER	head;
	BITMAPINFOHEADER	bfmt;

	fhndl = CreateFile (bmpfnm,
					GENERIC_READ,
					FILE_SHARE_WRITE,
					NULL,
					OPEN_EXISTING,
					FILE_ATTRIBUTE_NORMAL,		// 
					NULL);
	if (fhndl == INVALID_HANDLE_VALUE) {
		return	0;
	}
	ReadFile (fhndl,(void*)&head,sizeof(BITMAPFILEHEADER),&get_len,NULL);
	if (head.bfType == 'MB') {
		ReadFile (fhndl,(void*)&bfmt,sizeof(BITMAPINFOHEADER),&get_len,NULL);
		CloseHandle (fhndl);
		memcpy ((void*)pbfmt,(void*)&bfmt,sizeof(BITMAPINFOHEADER));
		return 1;
	}
	CloseHandle (fhndl);
	return 0;

}

