#include <windows.h>
#include <stdio.h>
#include <vfw.h>
#include "vfwcapdll.h"

#pragma warning(disable:4996)

LRESULT CALLBACK capVideoStreamCallback(HWND,LPVIDEOHDR);
static	void	Video_Disp	(HWND,LPBYTE);
static	int Get_bmtfile (HWND,LPBITMAPINFOHEADER,PBYTE,DWORD,LPBYTE);
static	int	VideoFomatChk(LPBITMAPINFOHEADER);



	long	m_JpegHeight;
	long	m_JpegWidth;
	long	m_CapWaitTime;

	long	m_DeviceNo;
	long	m_CapGo_sw;
	long	m_InitCaputure_sw;
	//*************************************************
	//    گ `
	//*************************************************
	CRITICAL_SECTION	Video_Critical;
	CRITICAL_SECTION	Capture_Critical;

	HANDLE	m_ans_event;			// 
	HANDLE	m_cap_event;			// Jn
	HANDLE	m_stp_event;			// Jn
	HANDLE	m_end_event;			// XbhI
	LPBYTE	m_video_buf;
	LPBYTE	m_Save_Video;
	long	m_Save_Video_Size;
	long	m_Save_Video_Sw;
	long	m_video_size;
	long	m_driver_no;
	long	m_call_ken;
	long	m_capture_sw;
	long	m_Preview_Sw;
	HWND	m_hWndC;
	BYTE	m_capture_file[512];
	HDRAWDIB			hdrawdibDc;
	BITMAPINFOHEADER		vformat;
	BITMAPINFOHEADER		yuvfmt;
	int						yuv2sw;
	CAPTUREPARMS			cap;
	CAPSTATUS				cas; 
	CAPDRIVERCAPS			drvcap;
	HANDLE	Cap_Thread_inf;
	DWORD	Cap_threadID;



long	WINAPI  VfwCap_Init(void)
{

	// TODO: ̈ʒuɃRg[̃CX^X f[^̏ǉĂ
	m_video_buf = (LPBYTE) VirtualAlloc(
				NULL,
				MEMORY_ALLOC_SIZE,						// 1 Mbyte
				MEM_RESERVE | MEM_COMMIT,
				PAGE_READWRITE
			);
	m_Save_Video= (LPBYTE) VirtualAlloc(
				NULL,
				MEMORY_ALLOC_SIZE,						// 1 Mbyte
				MEM_RESERVE | MEM_COMMIT,
				PAGE_READWRITE
			);

	m_CapGo_sw			=	0;
	m_InitCaputure_sw	=	0;
	m_Preview_Sw		=	0;
	m_ans_event		=	CreateEvent(NULL,FALSE,FALSE,NULL);
	m_cap_event		=	CreateEvent(NULL,FALSE,FALSE,NULL);
	m_stp_event		=	CreateEvent(NULL,FALSE,FALSE,NULL);
	m_end_event		=	CreateEvent(NULL,FALSE,FALSE,NULL);
	m_JpegHeight	=	240;
	m_JpegWidth		=	320;
	m_CapWaitTime	=	2000;
	m_driver_no		=	0;
	m_Save_Video_Size	=	0;
	m_Save_Video_Sw		=	0;

	InitializeCriticalSection(&Video_Critical);
	InitializeCriticalSection(&Capture_Critical);
	hdrawdibDc = DrawDibOpen();
	return 0;
}


/////////////////////////////////////////////////////////////////////////////
// CCAPOCXCtrl::~CCAPOCXCtrl - fXgN^

long	WINAPI  VfwCap_Term(void)
{
	// TODO: ̈ʒuɃRg[̃CX^X f[^̌㏈p̃R[hǉĂ
//	BOOL	bRet;


	VirtualFree( m_video_buf,0,MEM_RELEASE );
	VirtualFree( m_Save_Video,0,MEM_RELEASE );

	CloseHandle (m_ans_event);
	CloseHandle (m_cap_event);
	CloseHandle (m_stp_event);
	CloseHandle (m_end_event);
	DeleteCriticalSection(&Video_Critical);
	DeleteCriticalSection(&Capture_Critical);
	DrawDibClose (hdrawdibDc);
	return 0;
}


/////////////////////////////////////////////////////////////////////////////

//**********************************************************************
//  DLLW[
//**********************************************************************

long	WINAPI  GetBmaphdr (long obj,LPBITMAPINFOHEADER Vfmt)
{
//	CCAPOCXCtrl* pMy;
//	pMy  = (CCAPOCXCtrl*) obj;
	if (m_CapGo_sw) {
		GetVformat(Vfmt);
		return 0;
	}
	return 1;
}

long	WINAPI  BitMapDisplay (long obj,long hwnd,LPBYTE buf)
{
//	CCAPOCXCtrl* pMy;
//	pMy  = (CCAPOCXCtrl*) obj;
	if (m_CapGo_sw) {
		Video_Disp((HWND)hwnd,buf);
		return 0;
	}
	return 1;
}


void	WINAPI  GetVformat(LPBITMAPINFOHEADER Vfmt) 
{
	// TODO: ި߯  ނǉĂB
//	BOOL	bRet;
//	bRet =	capGetVideoFormat(m_hWndC,&vformat,sizeof(vformat));
	memcpy ((void*)Vfmt,(void*)&vformat,sizeof(vformat));

	return ;
}


//**********************************************************************
//  W[
//**********************************************************************




static	void Video_Disp (HWND	hWnd,LPBYTE	buf)
{
	HDC			hDC;
	RECT		wrect;
	BITMAPINFOHEADER	vfmt;

		memcpy ((void*) &vfmt,buf,sizeof(BITMAPINFOHEADER));

		EnterCriticalSection(&Video_Critical);
		GetClientRect (hWnd,&wrect);
		hDC = GetDC (hWnd);
		DrawDibDraw (hdrawdibDc,
					hDC,
					wrect.left,
					wrect.top,
					wrect.right  - wrect.left,
					wrect.bottom - wrect.top,
					(LPBITMAPINFOHEADER) &vfmt,
					buf+sizeof(BITMAPINFOHEADER),
					0,0,-1,-1,0);

		ReleaseDC (hWnd,hDC);
		LeaveCriticalSection(&Video_Critical);

}



//*********************************************
//*   Î~                                  *
//*********************************************
LRESULT CALLBACK capVideoStreamCallback(HWND hWnd,LPVIDEOHDR lpVHdr)
{
     
	DWORD	size;

	if (m_capture_sw == FALSE) {			  
			return TRUE;
	}
	m_call_ken++;

	size	= lpVHdr->dwBufferLength;
	yuv2sw	=	0;
	EnterCriticalSection(&Capture_Critical);

	CopyMemory (m_video_buf,(LPBYTE)&vformat,sizeof(BITMAPINFOHEADER));
	CopyMemory (m_video_buf+sizeof(BITMAPINFOHEADER),lpVHdr->lpData,size);
	m_video_size	= size;
	LeaveCriticalSection(&Capture_Critical);
	return TRUE;
}



long WINAPI	GetCapData (void)
{
BOOL		bRet;
	HWND		hWndC;
		int		vsize;
		int		rtcd;
		hWndC = m_hWndC;

		rtcd = 0;
		m_call_ken =	0;
		//**********************************
		//  Jn                    *
		//**********************************
		EnterCriticalSection(&Capture_Critical);
		m_capture_sw = 1;
		LeaveCriticalSection(&Capture_Critical);
		bRet	=	capSetVideoFormat(hWndC,&vformat,sizeof(vformat));
		bRet	=	capGrabFrame(hWndC);

		EnterCriticalSection(&Capture_Critical);
		vsize	=	m_video_size;
		m_capture_sw = 0;
		LeaveCriticalSection(&Capture_Critical);
		if (vsize > 0) {
			CopyMemory (m_video_buf,
						(LPVOID) &vformat,
						sizeof(BITMAPINFOHEADER));
			rtcd = vsize;
		}
		return rtcd;
}

long WINAPI	GetCapDevice(void) 
{
	// TODO: è ׂǉĂ

	return m_driver_no;
}

void  WINAPI	SetCapDevice(long nNewValue) 
{
	// TODO: è ׂǉĂ
	if (nNewValue < 0 ) {
		m_driver_no = 0;
	}
	else if (nNewValue > 2) {
		m_driver_no = 2;
	}
	else {
		m_driver_no = nNewValue;
	}

}

long WINAPI	CapDriver(long Index,LPBYTE nm) 
{

	char	szName[256];
	char	szVer[256];
	capGetDriverDescription((WORD) Index,szName,sizeof(szName),szVer,sizeof(szVer));           
	lstrcpy ((LPSTR)nm,szName);
	return lstrlen(szName);
}

long WINAPI	MciDevice(void) 
{
//	CString strResult;
	// TODO: ި߯  ނǉĂB
	BOOL	bRet;
	char	szName[256];

	if (m_InitCaputure_sw) {
		bRet = capGetMCIDeviceName(m_hWndC,szName,sizeof(szName));
	}
	else {
		szName[0] = 0;
	}
	return 0;
}


long WINAPI	InitCapture(long hwnd) 
{

//		RECT	rect;
		HWND	h_wnd;
		BOOL	bRet;
		long	rtcd=0;

		if (m_InitCaputure_sw != 0) {
			return 1;
		}

		VfwCap_Init();
		m_InitCaputure_sw	=	1;
		m_driver_no = 0;
//		GetWindowRect (hwnd,&rect);
		h_wnd = (HWND) hwnd;
		m_hWndC = capCreateCaptureWindow ( "޵  Window", 
					WS_OVERLAPPED  | WS_CAPTION | WS_THICKFRAME  |
					WS_MAXIMIZEBOX  ,
//					rect.left+10, rect.bottom+10, 160, 120, hwnd, 0);
					40, 40, m_JpegWidth, m_JpegHeight, h_wnd, 0);
//	ShowWindow (m_hWndC,SW_SHOW);
	ShowWindow (m_hWndC,SW_HIDE);

	//	bRet =  capSetUserData(m_hWndC, (DWORD) pMyObj);
 
		//*************************************
		//  callback ֐o^                 *
		//*************************************
	 	bRet =  capSetCallbackOnFrame(m_hWndC,capVideoStreamCallback); 		// Î~
		bRet =  capDriverConnect(m_hWndC, m_driver_no);
		return rtcd;
}
long WINAPI		EndCapture() 
{
	// TODO: ި߯  ނǉĂB
	BOOL	bRet;


	if (m_InitCaputure_sw) {
		bRet =  capDriverDisconnect (m_hWndC);
		SetEvent (m_end_event);		// ICxgs
		WaitForSingleObject  (Cap_Thread_inf,2000);
	}
	m_InitCaputure_sw	=	0;
    bRet =  capSetCallbackOnVideoStream(m_hWndC,NULL); 
	VfwCap_Term();
	return 0;
}

long WINAPI	CapGo(long WaitTime) 
{
	// TODO: ި߯  ނǉĂB
	BOOL	bRet;

	m_CapWaitTime =  WaitTime;
	if (m_CapWaitTime < 1000) {
		m_CapWaitTime =  1000;
	}
	if (m_InitCaputure_sw) {
		if (m_CapGo_sw == 0 ) {

			capGetVideoFormat(m_hWndC,&vformat,sizeof(vformat));
			bRet = VideoFomatChk(&vformat);
			if (bRet) {
				m_JpegWidth		=	LOWORD (vformat.biWidth);
				m_JpegHeight	=	LOWORD (vformat.biHeight);
				m_CapGo_sw = 1;
				return 0;
				}

		}
	}
	return 1;
}

long WINAPI	CapStop() 
{
	// TODO: ި߯  ނǉĂB
	BOOL	bRet;
	if (m_CapGo_sw) {
		m_CapGo_sw = 0;
	}
	return 0;
}



long WINAPI	PreViewEnd() 
{
	// TODO: ި߯  ނǉĂB
	BOOL	bRet;
	if (m_InitCaputure_sw != 0 && m_CapGo_sw == 0) {
		if (m_Preview_Sw =! 0) {
			m_Preview_Sw = 0;
			bRet = capPreview(m_hWndC, FALSE);
			ShowWindow (m_hWndC,SW_HIDE);
			return 0;
		}
	}
	return 1;
}

long WINAPI	PreViewStart() 
{
	// TODO: ި߯  ނǉĂB
	BOOL	bRet;
	if (m_InitCaputure_sw != 0 && m_CapGo_sw == 0) {
		if (m_Preview_Sw == 0) {
			m_Preview_Sw = 1;
			bRet = capPreview(m_hWndC, TRUE );
			bRet = capPreviewRate(m_hWndC,100);
			bRet = capPreviewScale(m_hWndC,TRUE);
			ShowWindow (m_hWndC,SW_SHOW);
			return 0;
		}
	}
	return 1;
}

long WINAPI ChgVformat() 
{
	// TODO: ި߯  ނǉĂB
	BOOL	bRet;
	if (m_InitCaputure_sw != 0 && m_CapGo_sw == 0) {
		if (m_Preview_Sw) {
			bRet =	capDlgVideoFormat(m_hWndC);
			bRet =	capGetVideoFormat(m_hWndC,&vformat,sizeof(vformat));
			m_JpegWidth		=	LOWORD (vformat.biWidth);
			m_JpegHeight	=	LOWORD (vformat.biHeight);
			return 0;
		}
	}
	return 1;

}


#if 0
WORD WINAPI	GetVideo(long Index) 
{
	// TODO: ި߯  ނǉĂB
	unsigned short a;
	LPBYTE			bf;
	bf = m_video_buf+sizeof(BITMAPINFOHEADER);
	a = (WORD)(bf[Index] & 0xff);
	return (WORD) a;
}
#endif


long WINAPI	VideoLock(HWND cwnd) 
{
	LPBITMAPINFOHEADER pfmt;
	LPBYTE		pbf;
	int			rtcd;

	rtcd = 0;
	if (m_Save_Video_Sw	==	1) {
		return 1;
	}	

	if (m_Save_Video_Sw	==	0) {
		m_Save_Video_Sw	=	1;
		pfmt	= (LPBITMAPINFOHEADER) m_video_buf;
		pbf		= m_video_buf+sizeof(BITMAPINFOHEADER);
		m_Save_Video_Size = Get_bmtfile (cwnd,pfmt,pbf,m_video_size,(LPBYTE) m_Save_Video);
		return m_Save_Video_Size;
	}
	return rtcd;

}

long WINAPI	VideoUnlock() 
{
	// TODO: ި߯  ނǉĂB
	if (m_Save_Video_Sw	==	1) {
		m_Save_Video_Sw	=	0;
		m_Save_Video_Size = 0;
		return 0;
	}
	return 1;
}

long WINAPI	VideoDisplay(long hwnd) 
{
	// TODO: ި߯  ނǉĂB
	if (m_Save_Video_Sw	==	1) {
		Video_Disp((HWND)hwnd,m_Save_Video);
		return 0;
	}
	return 1;
}


long WINAPI	GetBitWidth() 
{
	// TODO: ި߯  ނǉĂB
	LPBITMAPINFOHEADER pfmt;
	if (m_Save_Video_Sw	==	1) {
		pfmt = (LPBITMAPINFOHEADER) m_Save_Video;
		return (long) pfmt->biWidth ;
	}	

	return 1;
}

long WINAPI	GetBitHight() 
{
	// TODO: ި߯  ނǉĂB
	LPBITMAPINFOHEADER pfmt;
	if (m_Save_Video_Sw	==	1) {
		pfmt = (LPBITMAPINFOHEADER)m_Save_Video;
		return (long) pfmt->biHeight ;
	}	
	return 1;
}

long WINAPI	WriteBmp(LPBYTE fnm) 
{

	FILE					*outfile;					/* target file */
	BITMAPFILEHEADER		head;
//	LPBITMAPINFOHEADER		pbit;
	DWORD					size;
	if (m_Save_Video_Sw	==	1) {
		size = m_Save_Video_Size+sizeof(BITMAPINFOHEADER);
		memset ((void*)&head,0,sizeof(BITMAPFILEHEADER));
		head.bfType = 'MB';
		head.bfOffBits = sizeof(BITMAPFILEHEADER) + sizeof(BITMAPINFOHEADER);
		head.bfSize    = head.bfOffBits + m_Save_Video_Size;
	
		outfile = fopen((LPSTR)fnm, "wb");
		fwrite (&head,sizeof(BITMAPFILEHEADER),1,outfile);
		fwrite (m_Save_Video,size,1,outfile);
		fclose(outfile);
		return  0;
	}
	return 1;
}



long WINAPI	ChgCompress() 
{
	// TODO: ި߯  ނǉĂB

	BOOL	bRet;
	if (m_InitCaputure_sw != 0 && m_CapGo_sw == 0) {
		if (m_Preview_Sw) {
			bRet =  capDlgVideoCompression(m_hWndC);
			return 0;
		}
	}
	return 1;
}

long WINAPI	ChgSource() 
{
	// TODO: ި߯  ނǉĂB
	BOOL	bRet;
	if (m_InitCaputure_sw != 0 && m_CapGo_sw == 0) {
		if (m_Preview_Sw) {
			bRet = capDriverDisconnect(m_hWndC);
			bRet =	capDlgVideoSource(m_hWndC);
			bRet = capDriverConnect(m_hWndC, 0);
			return 0;
		}
	}
	return 1;
}

static	int	VideoFomatChk(LPBITMAPINFOHEADER pfmt)
{
	int		iRet;

	int		width;
	int		heigt;


	heigt = pfmt->biHeight;
	width = pfmt->biWidth;

	if (width == 320 && heigt == 240) {
		if (pfmt->biCompression == '024I') {
			return  3;
		}
		else if (pfmt->biCompression == 'VUYI') {
			return  2;
		}
		else if (pfmt->biCompression == 0 || pfmt->biCompression == '2YUY') {
			return  1;
		}
	}
	else if (width == 640 && heigt == 480) {
		if (pfmt->biCompression == '024I') {
			return  13;
		}
		else if (pfmt->biCompression == 'VUYI') {
			return  12;
		}
		else if (pfmt->biCompression == 0 || pfmt->biCompression == '2YUY') {
			return  11;
		}
	}
	return 0;
}


static	int Get_bmtfile (HWND hwnd,LPBITMAPINFOHEADER pfmt,PBYTE pt,DWORD ptln,LPBYTE buf)
{

	int					rtcd;
	DWORD				size;
//*****   work
	DWORD				ln;
	int					ncol;
    int                 sz;

//************ ͗p
	HDC					in_hDC;
	BITMAP				in_bm;
	HBITMAP				in_hbmp;

//************ p
	RECT				wrect;
	HDC					mem_hDC;
	HBITMAP				mem_hbmp;


//***********  bitmap aria
    LPBYTE				to_hbit;
	LPBITMAPINFOHEADER	to_bithed;
	LPRGBQUAD			to_bitcol;


	in_hDC		=	GetDC (hwnd);
//	GetClientRect	  (hwnd,&rect);
	wrect.right  = pfmt->biWidth ;
	wrect.bottom = pfmt->biHeight ;
	wrect.left = 0;
	wrect.top  = 0;
	in_hbmp		=	CreateCompatibleBitmap (in_hDC,wrect.right,wrect.bottom);
	GetObject  (in_hbmp,sizeof(BITMAP),(LPSTR)&in_bm);

	mem_hDC		=	CreateCompatibleDC(in_hDC);
	SetMapMode (mem_hDC,GetMapMode (in_hDC));

	mem_hbmp =  (HBITMAP) SelectObject  (mem_hDC,in_hbmp);

	DrawDibDraw (hdrawdibDc,
				mem_hDC,
				wrect.left,
				wrect.top,
				wrect.right  - wrect.left,
				wrect.bottom - wrect.top,
				(LPBITMAPINFOHEADER) pfmt,
				pt,
				0,0,-1,-1,0);

	SelectObject  (mem_hDC,mem_hbmp);
	ncol = in_bm.bmPlanes * in_bm.bmBitsPixel;

	if  (ncol <= 1) {
		ncol = 1;
		sz  = 1;
    }
	else if (ncol <= 4 ) {
		ncol = 4;
		sz  = 16;
	}
	else if (ncol <= 8 ) {
		ncol = 8;
		sz  = 256;
	}
	else {
		ncol = 24;
		sz  = 1024;
	}

	memset (buf,0,sizeof(BITMAPINFOHEADER));
	to_bithed	=	(LPBITMAPINFOHEADER) buf;
	to_bitcol	=	(LPRGBQUAD) buf + sizeof(BITMAPINFOHEADER);
	if (ncol == 24) {
		ln	=	0;
		to_hbit		= (LPBYTE)	buf + sizeof(BITMAPINFOHEADER);
	}
	else {
		ln 		=	(sz * sizeof(RGBQUAD));
		(LPBYTE)to_hbit		= (LPBYTE)buf + sizeof(BITMAPINFOHEADER) + (sz * sizeof(RGBQUAD));
	}

	to_bithed->biSize	=	sizeof(BITMAPINFOHEADER);

	to_bithed->biWidth	=	in_bm.bmWidth;
	to_bithed->biHeight	=	in_bm.bmHeight;

//	to_bithed->biPlanes	=	in_bm.bmPlanes;
	to_bithed->biPlanes	=	1;
//	to_bithed->biBitCount=	in_bm.bmBitsPixel;
	to_bithed->biBitCount=	ncol;
	to_bithed->biCompression =	BI_RGB;


  	rtcd = GetDIBits ( mem_hDC,in_hbmp,0,in_bm.bmHeight,
				to_hbit,
				(LPBITMAPINFO) to_bithed,
				DIB_RGB_COLORS);

	DeleteObject (in_hbmp);
	DeleteObject (mem_hbmp);
	DeleteDC	 (mem_hDC);
	ReleaseDC    (hwnd,in_hDC);
	size = to_bithed->biSizeImage + ln;
	return size;

}
